import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataGithubIpRangesConfig extends TerraformMetaArguments {
}
/**
 *
 */
export declare class DataGithubIpRanges extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataGithubIpRangesConfig);
    /**
     *
     */
    get git(): string[];
    /**
     *
     */
    get hooks(): string[];
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get importer(): string[];
    /**
     *
     */
    get pages(): string[];
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
